%define name	gnome-notebook
%define version	0.4
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	GNOME logbook
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.gnomefiles.org/app.php?soft_id=67
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libglade2.0-devel libgnomeui2-devel
BuildRequires:	librsvg
Obsoletes:	notebook

%description
Notebook is a logbook manager for Gnome. It can store any kind of data (just
text for the moment) in XML files, and makes it very easy to retrieve stored
information. It is integrated with Gnome (i.e uses Gnome's default browser).

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%name.png" needs="x11" title="Notebook" longtitle="GNOME logbook" section="Office/Accessories" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Notebook
Comment=GNOME logbook
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Office-Accessories;Office;Utility;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
rsvg -h 48 -w 48 pixmaps/%name.svg $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
rsvg -h 32 -w 32 pixmaps/%name.svg $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
rsvg -h 16 -w 16 pixmaps/%name.svg $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-2mdv2007.0
- XDG

* Fri Mar  3 2006 Austin Acton <austin@mandriva.org> 0.4-1mdk
- 0.4
- rename gnome-notebook
- homepage missing

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.2.O-2mdk
- fix URL (Dick Gevers)

* Sun Mar 20 2005 Austin Acton <austin@mandrake.org> 0.2.O-1mdk
- 0.2.O
- source URL

* Mon May 3 2004 Austin Acton <austin@mandrake.org> 0.1.0-1mdk
- initial package
